--Handles to keep teams
local cpu_bdog = 5
local cpu_nsdf = 6
local cpu_center = 7
local cpu_garrison = 8

--Table to keep teams(for loops)
local cpu_teams = {cpu_bdog,cpu_nsdf,cpu_center, cpu_garrison}

--Give AI control to teams
for iT = 1,4 do
SetAIControl(cpu_teams[iT], true)
end

-- REINFORCEMENTS --
-- Wave
local portalTimeNext = 1200
local portalTimeAdd = 240
local portalWave = 0
--Tanks
local Tanks = {}
local TanksToBuild = {10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 

10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 

10, 10, 10, 10, 10}
--Tank timer
local tankCurrentTime = 1200
local tankAddedTime = 240

--Portal handle
local MainPortal = GetHandle("cbport_246_portal")

function Start()
--Print briefing message
DisplayMessage("From High Command: Comrades, the last of the enemy forces have used the last of their Pegasus portals to send troops to reinforce their positions near the center of our capital. They are using another portal in the capital to continue to ferry their scattered forces across the planet to fortify their base here.")

--Set max scrap/Pilots for AI teams, and add Scrap.
for iT = 1,4 do
SetMaxScrap(cpu_teams[iT], 2500)
SetScrap(cpu_teams[iT], 2500)
SetMaxPilot(cpu_teams[iT], 50)
end

--Ally player teams and AI
Ally(1,2)
Ally(1,3)
Ally(1,8)
Ally(2,1)
Ally(2,3)
Ally(2,8)
Ally(3,1)
Ally(3,2)
Ally(3,8)
Ally(8,1)
Ally(8,2)
Ally(8,3)

--Ally AI enemies
Ally(5,6)
Ally(5,7)
Ally(6,5)
Ally(6,7)
Ally(7,5)
Ally(7,6)

--Set AIPs for AI teams
SetAIP("multbd1.aip", cpu_bdog)
SetAIP("multam6.aip", cpu_nsdf)
SetAIP("multso7.aip", cpu_center)
SetAIP("multami.aip", cpu_garrison)
--Lock alliances
LockAllies(true)
end

function Update()

--Secondary Message

  if GetTime()>= 20 then
    if not SecMessage then
      DisplayMessage ("From High Command: We have used our Pegasus Network to ferry you and our allied platoons to support our beleagured garrison forces in the city. You are to push your way through theenemy defenses, destroy their last Pegasus portal that sends them reinforcements, and eliminate all resistance. No Prisoners.")      

SecMessage = true
end
end

--Portal reinforcements
if IsAlive(MainPortal) and Get()>=portalTimeNext then
portalTimeNext =portalTimeNext + portalTimeAdd
end
-- Increase tank count
if portalWave < 34 then portalWave = portalWave + 1
end

--portal Tanks
for iT = 1, TanksToBuild[portalWave] do
if not IsAlive(Tanks[i]) then
Tanks[iT] = BuildObject("avtank", cpu_center, spawnTank)
end
end

--Keep pilots topped off for AI
for iT = 1,4 do
SetPilot(cpu_teams[iT], 50)
end
end